
%annomac;

proc sort data=hsaproj out=hsatemp;
by hsa;
run;

%centroid(hsatemp,hsa_centers,hsa);

title 'HSA CENTROIDS';
proc print data=hsa_centers;
run;
title;

* example 8;
data labels;
length text $5;
retain 
xsys ysys '2'
hsys      '3'
position  '5'
function  'label'
size      3
style     "'calibri/bo'"
cbox      'blue'
color     'white'
when      'a'
;
set hsa_centers;
text = catt('HSA-',hsa);
run;

pattern v=me c=blue;

proc sql;
create table hsa as
select distinct hsa, 1 as var
from hsamap;
quit;

*label the map via the annotate option;
proc gmap data=hsa map=hsaproj;
id hsa;
choro var/
discrete
nolegend
annotate=labels;
note ' EXAMPLE #8 - HEALTH SERVICE AREAS'
j=l ' LABELS ADDED TO MAP AREAS'
j=l ' USING AN ANNOTATE DATA SET';
run;
quit;
