
* example 1; 
* the map data set;
data poly_map;
input id x y @@;
datalines;
1 0 0 1 1 0 1 1 1 1 0 1
2 1 0 2 2 0 2 2 1 2 1 1
3 0 1 3 1 1 3 1 2 3 0 2
4 1 1 4 2 1 4 2 2 4 1 2
;
run;

title 'MAP DATA SET';
proc print data=poly_map;
run;

* the response data set;
data poly_dat;
input id z @@;
datalines;
1 10 2 20 3 30 4 40
;
run;

title 'RESPONSE DATA SET';
proc print data=poly_dat;
run;


* fill patterns for map areas;
pattern1 c=black v=m3n0;
pattern2 c=black v=m3n45;
pattern3 c=black v=m3n135;
pattern4 c=black v=m3n90;


* a title to appear above the map;
title 'EXAMPLE #1 - MAKE YOUR OWN MAP' ls=2;
* create the map;
proc gmap
data=poly_dat 
map=poly_map;
id id;
choro z / discrete;
run;
quit;
