
* example 2;
* select an empty pattern (v=me) and a title;

pattern v=me;

title 'EXAMPLE #2 - US MAP Data set';

* use a SAS-supplied  map data set  (US) as both the map and response data sets;
proc gmap
map=maps.us
data=maps.us (obs=1)
all;
id state;
choro state / nolegend;
run;
quit;


* use a SAS-supplied  map data set  (US) as both the map and response data sets;
proc gmap
map=maps.us
data=maps.us (obs=1)
all;
where state ne stfips('PR');
id state;
choro state / nolegend;
run;
quit;


* use a SAS-supplied  map data set  (US) as both the map and response data sets;
proc gmap
map=maps.us
data=maps.us (obs=1)
all;
where state not in (2 15 72);
id state;
choro state / nolegend;
run;
quit;



* make a data set with one observation per state;
proc sql; 
create table us as
select distinct state, 1 as var
from maps.us
where state not in (2 15 72);
quit;

data _null_;
file print;
set us;
state_name = fipname(state);
put state state_name;
run;

pattern v=me c=blue;

proc gmap
map=maps.us
data=us;
id state;
choro var / nolegend;
run;
quit;
